%define is_release 1
%define beta %{nil}
%define rel 0.73.1
%define DATE 20020326

Version: 3.0.5a
Name: kdebindings
Summary: KDE bindings to non-C++ languages
URL: http://www.kde.org/
License: GPL
Group: User Interface/Desktops
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%if %{is_release}
%if "%{beta}" != ""
Release: 0.%{beta}.%{rel}
Source: %{name}-%{version}-%{beta}.tar.bz2
%else
Release: %{rel}
Source: %{name}-%{version}.tar.bz2
%endif
%else
Release: 0.cvs%{DATE}.%{rel}
Source: %{name}-%{DATE}.tar.bz2
%endif

Source1: fakejdk-0.0.1.tar.bz2

Patch: kdebindings-3.0.0-gcjjava.patch
Patch1: kdebindings-3.0.0-qtjava-package.patch
Patch2: kdebindings-automake.patch
Patch3: kdebindings-3.0.0-gcjbreakage.patch

BuildRequires: python
BuildRequires: zlib-devel
BuildRequires: kdelibs-devel
BuildRequires: kdelibs-sound-devel
BuildRequires: python-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel

Requires: kdelibs >= 6:%{version}
Requires: kdebase >= 6:%{version}

Prereq: /sbin/ldconfig

%description
KDE/DCOP bindings to non-C++ languages

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for the KDE bindings.

Install %{name}-devel if you want to develop non-KDE
applications that talk to KDE.

%ifarch i386
%package kmozilla
Summary: KDE bindings to mozilla
Group: User Interface/Desktops
Requires: mozilla
Requires: kdebase >= 6:%{version}


%description kmozilla
KDE bindings to mozilla - embed Mozilla in Konqueror
%endif

%package perl
Summary: Perl bindings to DCOP
Group: Development/Libraries
Requires: kdelibs >= 6:%{version}
Requires: perl >= 5.6.0

%description perl
Perl bindings to the DCOP interprocess communication protocol used by KDE

%package python
Summary: Python bindings to DCOP
Group: Development/Libraries
Requires: kdelibs >= 6:%{version}
Requires: python >= 2.2

%description python
Perl bindings to the DCOP interprocess communication protocol used by KDE

%package qtjava
Summary: Java bindings to Qt
Group: System Environment/Libraries
Requires: qt >= 3.0.2
Requires: libgcj
%if 0
BuildRequires: gcc3-java >= 3.1
BuildRequires: libgcj3 >= 3.1
%endif

%description qtjava
Java bindings to Qt.

%package qtc
Summary: C bindings to Qt
Group: System Environment/Libraries
Requires: qt >= 3.0.2

%description qtc
C bindings to Qt.
Install kdebindings-qtc if you wish to develop Qt applications
in C (rather than C++).

%package kdejava
Summary: Java bindings to KDE
Group: Development/Libraries
Requires: kdelibs >= %{version}, kdebindings-qtjava = %{version}-%{release}, libgcj

%description kdejava
Java bindings to KDE

%prep
%if %{is_release}
%setup -q
%else
%setup -q -n %{name}
%endif

%patch -p1 -b .gcj
%patch1 -p1 -b .package
%patch2 -p1 -b .automake

# Workaround for autoconf checks with gcc 2.96 trying to
# get gcc 3.1 gcj...
%patch3 -p1 -b .gcjbreakage

# Disable broken stuff and stuff that doesn't work with ancient
# compilers for now.
for i in qtc kdec qtjava kdejava dcopperl dcoppython kdeobjc qtobjc; do
   rm -rf $i
   perl -pi -e "s,$i,,g" Makefile.am configure.in.in
done

# Workaround for legacy auto* tools
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
make -f admin/Makefile.common cvs

tar xjf %{SOURCE1}
QTDIR="" && . /etc/profile.d/qt.sh

export PATH=`pwd`/jdk/bin:$PATH
./configure \
   --prefix=%{_prefix} \
   --mandir=%{_mandir} \
   --includedir=%{_includedir}/kde \
   --without-java # --with-java=`pwd`/jdk

%build
export PATH=`pwd`/jdk/bin:$PATH
QTDIR="" && . /etc/profile.d/qt.sh

make %{?smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export PATH=`pwd`/jdk/bin:$PATH

make install DESTDIR="$RPM_BUILD_ROOT"
# make -C dcoppython install DESTDIR="$RPM_BUILD_ROOT"
# make -C dcopperl install PREFIX="$RPM_BUILD_ROOT%{_prefix}"

if [ -d "$RPM_BUILD_ROOT%{_prefix}/doc" ]; then
   mv -f $RPM_BUILD_ROOT%{_prefix}/doc/* $RPM_BUILD_ROOT%{_docdir}
   rm -rf $RPM_BUILD_ROOT%{_prefix}/doc
fi

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%{_libdir}/libdcopc.so.*
%{_libdir}/lib*xparts.so.*
%{_libdir}/*xp_note*
%{_datadir}/services/xp_notepad.desktop
%{_bindir}/xp_notepad
%{_bindir}/shell_xparthost

%if 0
%files python
%defattr(-,root,root)
#/usr/lib/python*/*/*

%files qtjava
%defattr(-,root,root)
%{_bindir}/javalib
%{_libdir}/libqtjava*
%{_includedir}/kde/qtjava
%{_libdir}/java
%doc %{_docdir}/javalib

%files qtc
%defattr(-,root,root)
%{_bindir}/clib
%{_libdir}/libqtc.*
%doc %{_docdir}/HTML/en/kdec
%endif

%files devel
%defattr(-,root,root)
%{_libdir}/libdcopc.??
%{_libdir}/lib*xparts.??
%{_includedir}/kde/xkparts
%{_includedir}/dcopc

%ifarch i386
%files kmozilla
%defattr(-,root,root)
%{_bindir}/kmozilla
%{_libdir}/*mozilla*
%{_datadir}/services/kmozilla.desktop
%endif

%if 0
%files perl
%defattr(-,root,root)
#%{prefix}/lib/perl5/site_perl/*/*/auto/DCOP/*
#%{prefix}/lib/perl5/site_perl/*/*/auto/DCOP/.packlist
#%{prefix}/lib/perl5/site_perl/*/*/DCOP.pm
#%{prefix}/lib/perl5/site_perl/*/*/DCOP/Object.pm
#%{_mandir}/man3/DCOP.3pm*
%endif

%changelog
* Mon Apr  7 2003 Than Ngo <than@redhat.com> 3.0.5a-0.73.1
- fixed dependency issue

* Thu Dec 26 2002 Than Ngo <than@redhat.com> 3.0.5a-0.73.0
- 3.0.5a

* Mon Sep 30 2002 Than Ngo <than@redhat.com> 3.0.3-0.7.1
- 3.0.3

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final
- Disable building C, Java and Objective-C bindings for now, they require
  a real C++ compiler rather than a something-between-C-and-C++-compiler

* Mon Feb 18 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020218.1
- Update
- Another try at getting the Qt Java bindings to build and actually work with
  gcj.

* Thu Jan 31 2002 Tim Powers <timp@redhat.com>
- rebuilt to solve deps on kdelibs
- don't build kmozilla package for ia64

* Wed Jan 30 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020130.1
- Update
- Get the qt java bindings to build with gcj
- Temporarily disable building KDE-C, KDE-Java, DCOP-perl and DCOP-python
  bindings; they don't compile.

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.2
- Move python bindings to separate package
- Add perl bindings
- Shut up rpmlint

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
